## mxml-2.2.tar.bz2

=== Makefile ===
#
# "$Id: Makefile.in 189 2005-02-26 05:27:25Z mike $"
#
# Makefile for Mini-XML, a small XML-like file parsing library.
#
# Copyright 2003-2005 by Michael Sweet.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

#
# Compiler tools definitions...
#

AR		=	/usr/bin/ar
ARFLAGS		=	crvs
CC		=	x86_64-linux-gnu-gcc
CFLAGS		=	$(OPTIM) -Wall -Wall -g -O2 
CP		=	/bin/cp
DSO		=	$(CC)
DSOFLAGS	=	 -Wl,-soname,libmxml.so.1 -shared $(OPTIM)
LDFLAGS		=	$(OPTIM)  -Wl
LIBMXML		=	libmxml.so.1.0
LN		=	/bin/ln -s
MKDIR		=	/bin/mkdir
NROFF		=	/usr/bin/nroff
OPTIM		=	-fPIC -O
RANLIB		=	ranlib
RM		=	/bin/rm -f
SHELL		=	/bin/sh


#
# Configured directories...
#

prefix		=	/home/abi/qa/mxml-2.2/debian/tmp/usr
exec_prefix	=	/home/abi/qa/mxml-2.2/debian/tmp/usr
bindir		=	${exec_prefix}/bin
includedir	=	${prefix}/include
libdir		=	${exec_prefix}/lib
mandir		=	${prefix}/share/man
docdir		=	${prefix}/share/doc/mxml
BUILDROOT	=	$(DSTROOT)


#
# Manpage extensions...
#

CAT1EXT		=	1
CAT3EXT		=	3
MAN1EXT		=	1
MAN3EXT		=	3


#
# Rules...
#

.SUFFIXES:	.0 .1 .3 .c .man .o
.c.o:
	test -d .libs || mkdir .libs	
	$(CC) $(CFLAGS) -c $<
	$(CC) -fPIC $(CFLAGS) -o .libs/$@ -c $<
.man.0 .man.1 .man.3:
	$(RM) $@
	$(NROFF) -man $< >$@


#
# Targets...
#

DOCFILES	=	doc/mxml.html doc/mxmldoc.xsd \
			README COPYING CHANGES
PUBLIBOBJS	=	mxml-attr.o mxml-entity.o mxml-file.o mxml-index.o \
			mxml-node.o mxml-search.o mxml-set.o
LIBOBJS		=	$(PUBLIBOBJS) mxml-private.o mxml-string.o
OBJS		=	mxmldoc.o testmxml.o $(LIBOBJS)
TARGETS		=	$(LIBMXML) mxmldoc doc/mxml.$(CAT3EXT) \
			doc/mxmldoc.$(CAT1EXT) testmxml mxml.xml


#
# Make everything...
#

all:		Makefile configure config.h $(TARGETS)

#
# Clean everything...
#

clean:
	$(RM) $(OBJS) $(TARGETS)
	$(RM) mxmldoc-static libmxml.a
	$(RM) *.bck *.bak
	$(RM) config.cache config.log config.status
	$(RM) -r autom4te*.cache
	$(RM) .libs/*
	rmdir .libs


#
# Install everything...
#

install:	$(TARGETS) install-$(LIBMXML) install-libmxml.a
	-$(MKDIR) -p $(BUILDROOT)$(bindir)
	$(CP) mxmldoc $(BUILDROOT)$(bindir) 
	-$(MKDIR) -p $(BUILDROOT)$(docdir)
	$(CP) $(DOCFILES) $(BUILDROOT)$(docdir)
	-$(MKDIR) -p $(BUILDROOT)$(includedir)
	$(CP) mxml.h $(BUILDROOT)$(includedir)
	-$(MKDIR) -p $(BUILDROOT)$(libdir)/pkgconfig
	$(CP) mxml.pc $(BUILDROOT)$(libdir)/pkgconfig
	-$(MKDIR) -p $(BUILDROOT)$(mandir)/cat1
	$(CP) doc/mxmldoc.$(CAT1EXT) $(BUILDROOT)$(mandir)/cat1/mxmldoc.$(CAT1EXT)
	-$(MKDIR) -p $(BUILDROOT)$(mandir)/cat3
	$(CP) doc/mxml.$(CAT3EXT) $(BUILDROOT)$(mandir)/cat3/mxml.$(CAT3EXT)
	-$(MKDIR) -p $(BUILDROOT)$(mandir)/man1
	$(CP) doc/mxmldoc.man $(BUILDROOT)$(mandir)/man1/mxmldoc.$(MAN1EXT)
	-$(MKDIR) -p $(BUILDROOT)$(mandir)/man3
	$(CP) doc/mxml.man $(BUILDROOT)$(mandir)/man3/mxml.$(MAN3EXT)

install-libmxml.a:
	-$(MKDIR) -p $(BUILDROOT)$(libdir)
	$(CP) libmxml.a $(BUILDROOT)$(libdir)

install-libmxml.so.1.0:
	-$(MKDIR) -p $(BUILDROOT)$(libdir)
	$(CP) libmxml.so.1.0 $(BUILDROOT)$(libdir)
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so
	$(LN) libmxml.so.1.0 $(BUILDROOT)$(libdir)/libmxml.so
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so.1
	$(LN) libmxml.so.1.0 $(BUILDROOT)$(libdir)/libmxml.so.1

install-libmxml.sl.1:
	-$(MKDIR) -p $(BUILDROOT)$(libdir)
	$(CP) libmxml.sl.1 $(BUILDROOT)$(libdir)
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so
	$(LN) libmxml.sl.1 $(BUILDROOT)$(libdir)/libmxml.sl

install-libmxml.1.dylib:
	-$(MKDIR) -p $(BUILDROOT)$(libdir)
	$(CP) libmxml.1.dylib $(BUILDROOT)$(libdir)
	$(RM) $(BUILDROOT)$(libdir)/libmxml.dylib
	$(LN) libmxml.1.dylib $(BUILDROOT)$(libdir)/libmxml.dylib


#
# Uninstall everything...
#

uninstall: uninstall-$(LIBMXML) uninstall-libmxml.a
	$(RM) $(BUILDROOT)$(bindir)/mxmldoc
	$(RM) -r $(BUILDROOT)$(docdir)
	$(RM) $(BUILDROOT)$(includedir)/mxml.h
	$(RM) $(BUILDROOT)$(libdir)/pkgconfig/mxml.pc
	$(RM) $(BUILDROOT)$(mandir)/cat1/mxmldoc.$(CAT1EXT)
	$(RM) $(BUILDROOT)$(mandir)/cat3/mxml.$(CAT3EXT)
	$(RM) $(BUILDROOT)$(mandir)/man1/mxmldoc.$(MAN1EXT)
	$(RM) $(BUILDROOT)$(mandir)/man3/mxml.$(MAN3EXT)

uninstall-libmxml.a:
	$(RM) $(BUILDROOT)$(libdir)/libmxml.a

uninstall-libmxml.so.1.0:
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so.1
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so.1.0

uninstall-libmxml.sl.1:
	$(RM) $(BUILDROOT)$(libdir)/libmxml.sl
	$(RM) $(BUILDROOT)$(libdir)/libmxml.sl.1

uninstall-libmxml.1.dylib:
	$(RM) $(BUILDROOT)$(libdir)/libmxml.dylib
	$(RM) $(BUILDROOT)$(libdir)/libmxml.1.dylib


#
# Make packages using EPM (http://www.easysw.com/epm/)
#

epm:	all
	epm --output-dir dist -v -f native mxml
	epm --output-dir dist -v -f portable mxml


#
# autoconf stuff...
#

Makefile:	configure Makefile.in
	if test -f config.status; then \
		./config.status --recheck; \
		./config.status; \
	else \
		./configure; \
	fi
	touch config.h


configure:	configure.in
	autoconf
	if test -f config.status; then \
		./config.status --recheck; \
		./config.status; \
	else \
		./configure; \
	fi
	touch config.h


config.h:	configure config.h.in
	autoconf
	if test -f config.status; then \
		./config.status --recheck; \
		./config.status; \
	else \
		./configure; \
	fi
	touch config.h


#
# libmxml.so.1.0
#

libmxml.so.1.0:	$(LIBOBJS)
	$(RM) $@
	cd .libs && $(LD) -lc -shared -soname libmxml.so.1 -o ../$@ $(LIBOBJS)
#
# libmxml.a
#

libmxml.a:	$(LIBOBJS)
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(LIBOBJS)
	$(RANLIB) $@

$(LIBOBJS):	mxml.h


#
# libmxml.so.1.0
#

libmxml.so.1.0:	$(LIBOBJS)
	$(DSO) $(DSOFLAGS) -o libmxml.so.1.0 $(LIBOBJS)
	$(RM) libmxml.so libmxml.so.1
	$(LN) libmxml.so.1.0 libmxml.so
	$(LN) libmxml.so.1.0 libmxml.so.1


#
# libmxml.sl.1
#

libmxml.sl.1:	$(LIBOBJS)
	$(DSO) $(DSOFLAGS) -o libmxml.sl.1 $(LIBOBJS)
	$(RM) libmxml.sl libmxml.sl.1
	$(LN) libmxml.sl.1 libmxml.sl


#
# libmxml.1.dylib
#

libmxml.1.dylib:	$(LIBOBJS)
	$(DSO) $(DSOFLAGS) -o libmxml.1.dylib \
		-install_name $(libdir)/libmxml.dylib \
		-current_version 1.0.0 \
		-compatibility_version 1.0.0 \
		$(LIBOBJS)
	$(RM) libmxml.dylib libmxml.1.dylib
	$(LN) libmxml.1.dylib libmxml.dylib


#
# mxmldoc
#

mxmldoc:	$(LIBMXML) mxmldoc.o
	$(CC) $(LDFLAGS) -o $@ mxmldoc.o -L. -lmxml

mxmldoc-static:	libmxml.a mxmldoc.o
	$(CC) $(LDFLAGS) -o $@ mxmldoc.o libmxml.a

mxmldoc.o:	mxml.h


#
# testmxml
#

testmxml:	libmxml.a testmxml.o
	$(CC) $(LDFLAGS) -o $@ testmxml.o libmxml.a
	@echo Testing library...
	./testmxml test.xml >temp1.xml 2>temp1s.xml
	./testmxml temp1.xml >temp2.xml 2>temp2s.xml
	@if cmp temp1.xml temp2.xml; then \
		echo Stdio file test passed!; \
		$(RM) temp2.xml temp2s.xml; \
	else \
		echo Stdio file test failed!; \
	fi
	@if cmp temp1.xml temp1s.xml; then \
		echo String test passed!; \
		$(RM) temp1.xml temp1s.xml; \
	else \
		echo String test failed!; \
	fi
	@if cmp test.xml test.xmlfd; then \
		echo File descriptor test passed!; \
		$(RM) test.xmlfd; \
	else \
		echo File descriptor test failed!; \
	fi

testmxml.o:	mxml.h


#
# mxml.xml
#

mxml.xml:	mxmldoc-static mxml.h $(PUBLIBOBJS:.o=.c)
	$(RM) mxml.xml
	./mxmldoc-static mxml.xml mxml.h $(PUBLIBOBJS:.o=.c) >doc/reference.html

valgrind:	mxmldoc-static
	$(RM) valgrind.xml
	valgrind --tool=memcheck --leak-check=yes ./mxmldoc-static \
		valgrind.xml mxml.h $(PUBLIBOBJS:.o=.c) \
		>valgrind.html 2>valgrind.out


#
# All object files depend on the makefile...
#

$(OBJS):	Makefile config.h


#
# End of "$Id: Makefile.in 189 2005-02-26 05:27:25Z mike $".
#
