=== debian/changelog ===
mxml (2.2-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #391132
  * Correct package description (Closes: #314481)
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 16 Oct 2006 08:48:01 +0200

mxml (2.2-1) unstable; urgency=low

  * New upstream release (closes: #287839)

 -- Eduardo Marcel Macan <macan@debian.org>  Sun,  6 Mar 2005 09:24:51 -0300

mxml (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 28 Dec 2004 16:28:45 -0200
