=== debian/control ===
Source: mxml
Section: libdevel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2

Package: libmxml-dev
Section: libdevel
Architecture: any
Depends: libmxml1 (= ${Source-Version})
Description: development files for libmlxml
 development files for the mxml library

Package: libmxml1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  small XML parsing library
 small and simple XML parsing library
